#
#  Makefile for the utilities source directory 
#
#  $Id: Makefile.in,v 1.6 1994/09/30 21:55:07 hardy Exp $
#

srcdir = @srcdir@
VPATH  = @srcdir@
prefix = /usr/local/harvest
INSTALL_BINDIR	= $(prefix)/bin
INSTALL_LIBDIR	= $(prefix)/lib
INSTALL_MANDIR 	= $(prefix)/man

SHELL		= /bin/sh
CC		= @CC@
INSTALL		= @INSTALL@
INSTALL_BIN 	= @INSTALL_PROGRAM@
INSTALL_FILE 	= @INSTALL_DATA@
RANLIB		= @RANLIB@

INCLUDE         = -I$(srcdir)/../include
CFLAGS                = -O
ALL_CFLAGS	= $(CFLAGS) $(DEBUG) $(INCLUDE)

.c.o:
		$(CC) -c $(ALL_CFLAGS) $<

LIBDIR		= ../lib
LIBFILE		= libutil.a
OBJS		= buffer.o host.o log.o strdup.o system.o strerror.o \
		string.o xmalloc.o

all:  $(LIBFILE)

ctags:
	@ctags -w *.c 

clean:
	-rm -f core *.o $(LIBFILE) tags 

#realclean:	clean
#	-rm -rf Makefile

install:	install-lib

install-lib:	$(LIBDIR)/$(LIBFILE)

$(LIBDIR)/$(LIBFILE):	$(LIBFILE)
	$(INSTALL_FILE) $(LIBFILE) $(LIBDIR)/$(LIBFILE)
	$(RANLIB) $(LIBDIR)/$(LIBFILE)

$(LIBFILE):	$(OBJS)
	ar r $(LIBFILE) $(OBJS)
	$(RANLIB) $(LIBFILE)
